TICKIT_RECT_ADD(3)

NAME
tickit_rect_add - obtain the union sum of two rectangles

SYNOPSIS
    #include <tickit.h>

    int tickit_rect_add(TickitRect dst[3],
        const TickitRect *a, const TickitRect *b);

Link with -ltickit.

DESCRIPTION
tickit_rect_add() initialises the rectangle structures given by dst (which must be an array capable of containing at least three rectangle structures) with a set of non-overlapping rectangles covering the same area as the two given by a and b. Depending on the geometry of the given rectangles it may create one, two, or three resultant rectangles. It returns the number of rectangular regions initialised into the result array.

If the original rectangles do not touch then the result will contain just those two. If they touch then the result will contain the one to three non-overlapping horizontal stripes that cover the same area, in order of increasing line number.

RETURN VALUE
tickit_rect_add() returns the number of rectangles written to dst.

SEE ALSO
tickit_rect_init_sized(3), tickit_rect_init_bounded(3), tickit_rect_intersect(3), tickit_rect_subtract(3), tickit_rect(7), tickit(7)